import { Component, OnInit, ViewChild } from '@angular/core';
import { MatTableDataSource, MatSort } from '@angular/material';

export interface NetworkIo {
  name: string;
  status: string;
  type: string;
  initiator: string;
  size: number;
  time: number;
}

const ELEMENT_DATA: NetworkIo[] = [
  {
    name: 'Hydrogen',
    status: '200',
    type: 'script',
    initiator: 'index',
    size: 1024,
    time: 10
  },
  {
    name: 'Hydrogen',
    status: '200',
    type: 'script',
    initiator: 'index',
    size: 1024,
    time: 10
  },
  {
    name: 'Hydrogen',
    status: '200',
    type: 'script',
    initiator: 'index',
    size: 1024,
    time: 10
  },
  {
    name: 'Hydrogen',
    status: '200',
    type: 'script',
    initiator: 'index',
    size: 1024,
    time: 10
  },
  {
    name: 'Hydrogen',
    status: '200',
    type: 'script',
    initiator: 'index',
    size: 1024,
    time: 10
  },
  {
    name: 'Hydrogen',
    status: '200',
    type: 'script',
    initiator: 'index',
    size: 1024,
    time: 10
  },
  {
    name: 'Hydrogen',
    status: '200',
    type: 'script',
    initiator: 'index',
    size: 1024,
    time: 10
  },
  {
    name: 'Hydrogen',
    status: '200',
    type: 'script',
    initiator: 'index',
    size: 1024,
    time: 10
  }
];

@Component({
  selector: 'odds-crawler-network-io',
  templateUrl: './io.component.html',
  styles: ['./io.component.scss']
})
export class IoComponent implements OnInit {
  constructor() {}
  displayedColumns: string[] = [
    'name',
    'status',
    'type',
    'initiator',
    'size',
    'time'
  ];
  dataSource = new MatTableDataSource(ELEMENT_DATA);

  @ViewChild(MatSort) sort: MatSort;

  ngOnInit() {
    this.dataSource.sort = this.sort;
  }
}
