import { Component } from '@angular/core';

@Component({
  selector: 'odds-crawler-app-page-main',
  templateUrl: './main.page.component.html',
  styleUrls: ['./main.page.component.scss']
})
export class MainPageComponent {
  tabs: string[] = [];
  tabSelectedIndex: 0;

  onClickAddTab($event) {
    this.addTab('new');
  }
  onTabSelectedIndexChange($event) {}

  addTab(title: string) {
    this.tabs.push(title);
  }
  removeTab(title: string) {
    const index = this.tabs.indexOf(title);
    this.tabs.splice(index, 1);
  }
}
