import { NgModule, ModuleWithProviders } from '@angular/core';
import { CommonModule } from '@angular/common';

import { CommonMaterialModule } from './common.material.module';
import { CommonMaterialComponent } from './component/material.component';

@NgModule({
  declarations: [CommonMaterialComponent],
  imports: [CommonModule, CommonMaterialModule],
  exports: [CommonMaterialModule, CommonMaterialComponent]
})
export class OddsCrawlerFrontendCommonModule {
  public static forRoot(): ModuleWithProviders<
    OddsCrawlerFrontendCommonRootModule
  > {
    return {
      ngModule: OddsCrawlerFrontendCommonRootModule,
      providers: []
    };
  }
}

@NgModule({
  imports: [],
  exports: []
})
export class OddsCrawlerFrontendCommonRootModule {}
